"""This is a base class for simple, struct-like classes."""

class AutomaticClass:

    """This is a base class for simple, struct-like classes.
    
    The following methods are defined:

    __init__ -- Our subclass should call this.
    
    __repr__ -- Return a suitable string representing of this instance.
    
    """

    def __init__(self, **kargs):
        """Our subclass should call this.

        **kargs -- All key value pairs will be placed into the instance 
        namespace.  The subclass should just pass through its version of 
        **kargs after adding any attributes it needs that aren't present.

        """
        self.__dict__.update(kargs)

    def __repr__(self):
        """Return a suitable string representing of this instance."""
        return "<%s %s>" % (self.__class__.__name__, dir(self))

# Do some testing.
if __name__ == '__main__': 
    print `AutomaticClass()`
